#include "context_switcher/context_switcher.h"

namespace context_switcher {

continuation switch_context(continuation &&cont) {
  assembly_bindings::continuation_t cont_pointer = cont.consume();

  return continuation{assembly_bindings::__cs_switch_context(cont_pointer)};
}

}
